## org.hibernate.engine.transaction.synchronization.internal
Class RegisteredSynchronization

    java.lang.Object
      org.hibernate.engine.transaction.synchronization.internal.RegisteredSynchronization

All Implemented Interfaces:
  Synchronization

    public class RegisteredSynchronization

extends Object
implements Synchronization

The JTA `Synchronization` Hibernate registers when needed for JTA callbacks

Constructor Summary
`RegisteredSynchronization(SynchronizationCallbackCoordinator synchronizationCallbackCoordinator)`

Method Summary
`void` `afterCompletion(int status)`
`void` `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisteredSynchronization

    public RegisteredSynchronization(SynchronizationCallbackCoordinator synchronizationCallbackCoordinator)

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.